#include <windows.h> 
#include "gpioLib.h"
#include "CoProcLib.h"
#include "glcd12864lib.h"
#include "glcdtoradexlogo.h"

int wmain(void)
{
    CHAR toRepeat;
    DWORD procID = 0;

    procID = getPROCID();        ///< Get processor ID
    switch(procID)
    {
        case TYPE_PXA270:
            printf("PXA270 detected\n\r");
            break;
        case TYPE_PXA300:
            printf("PXA300 detected\n\r");
            break;
        case TYPE_PXA310:
            printf("PXA310 detected\n\r");
            break;
        case TYPE_PXA320:
            printf("PXA320 detected\n\r");
            break;
        case TYPE_TEGRA2:
            printf("Tegra 2 detected\n\r");  
            break;
        case TYPE_TEGRA3:
            printf("Tegra 3 detected\n\r");  
            break;
        default:
            printf("Processor type unknown\n\r");
            return FALSE;
            break;
    }
    GlcdBackLight(TRUE);
    Sleep(1000);
    GlcdInit();
    GlcdClear();
    GlcdBackLight(TRUE);

    while (TRUE)
    {
        toRepeat = '\0';    
        GlcdToradexLogo();                              ///< Display Toradex Logo on GLCD
        Sleep(5000);
        GlcdRobinApalisColibriLogo();                   ///< Display Toradex Modules Logo on GLCD
        GlcdSetPage(GLCD_PAGE6, 0);
        GlcdDisplayString("   Embedded Computer ");     ///< Display string on GLCD
        GlcdSetPage(GLCD_PAGE8, 0);
        GlcdDisplayString("             Modules");
        Sleep(1000);
        printf("Press Enter to continue and 'e' to exit\n");
        scanf_s("%c", &toRepeat);   
        if (toRepeat == 'e') break;
    }
    GlcdBackLight(FALSE);
    GlcdDeInit();
    return TRUE;
}